<template>
  <el-dialog
    :visible.sync="dialogVisible"
    v-dialogDrag
    top="0vh"
    title="相似项查询"
    :width="width"
    append-to-body
    @opened="openDialog"
    class="avue-dialog avue-dialog--top"
  >
    <ResembleQuery
      v-loading="loading"
      ref="ResembleQuery"
      v-bind="$attrs"
      :column="column"
      :templateOid="templateOid"
      :codeRuleOid="codeRuleOid"
      :codeClassifyOid="codeClassifyOid"
    ></ResembleQuery>
  </el-dialog>
</template>

<script>
import { getFormTemplate } from "@/api/formTemplate";
import ResembleQuery from "./ResembleQuery";
export default {
  name: "ResembleQueryDialog",
  components: { ResembleQuery },
  props: {
    visible: {
      type: Boolean,
      default: false,
    },
    codeClassifyOid: {
      type: String,
      default: "",
    },
    templateOid: {
      type: String,
      default: "",
    },
    codeRuleOid: {
      type: String,
      default: "",
    },
    type: {
      type: String,
      default: "add",
    },
    form: {
      type: Object,
      default: () => ({}),
    },
  },
  data() {
    return {
      column: [],
      loading: false
    };
  },
  computed: {
    dialogVisible: {
      get() {
        return this.visible;
      },
      set(val) {
        this.$emit("update:visible", val);
      },
    },
  },
  methods: {
    openDialog() {
      this.loading = true
      getFormTemplate({
        templateOid: this.templateOid,
        codeClassifyOid: this.codeClassifyOid,
      }).then((res) => {
        this.loading = false
        if (
          res.data &&
          res.data.resembleTableVO.cols &&
          res.data.resembleTableVO.cols.length > 0
        ) {
          this.column = res.data.resembleTableVO.cols;
          this.$refs.ResembleQuery.resembleQuery();
        } else {
          this.column = [];
        }
      });
    },
  },
};
</script>

<style lang="less" scoped></style>
